Package org.apache.ignite.spi.systemview.view

## Class CacheGroupIoView

- java.lang.Object
- - org.apache.ignite.spi.systemview.view.CacheGroupIoView

    public class CacheGroupIoView
    extends Object

Cache group IO statistics representation for a `SystemView`.

### Constructor Summary

Constructors
`CacheGroupIoView​(CacheGroupContext grpCtx, MetricRegistry mreg)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `cacheGroupId()`
`String` `cacheGroupName()`
`long` `logicalReads()`
`long` `physicalReads()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CacheGroupIoView

    public CacheGroupIoView​(CacheGroupContext grpCtx,
                            MetricRegistry mreg)

Parameters:
  `grpCtx` - Cache group context.
  `mreg` - Metric registry for current cache group IO statistics.

### Method Detail

#### cacheGroupId

    public int cacheGroupId()

Returns:
  Cache group id.

#### cacheGroupName

    public String cacheGroupName()

Returns:
  Cache group name.

#### physicalReads

    public long physicalReads()

Returns:
  Physical reads.

#### logicalReads

    public long logicalReads()

Returns:
  Logical reads.